"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const runtime = require("../../../utils/vue/props/runtime.js");
const icon = require("../../../utils/vue/icon.js");
const index = require("../../../../../@element-plus/icons-vue/dist/index.js");
const pageHeaderProps = runtime.buildProps({
  icon: {
    type: icon.iconPropType,
    default: () => index.Back
  },
  title: String,
  content: {
    type: String,
    default: ""
  }
});
const pageHeaderEmits = { back: () => true };
exports.pageHeaderEmits = pageHeaderEmits;
exports.pageHeaderProps = pageHeaderProps;
